<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="62">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
      <itemPath>../../../tblib/embedded/tblib.X/technoboard.h</itemPath>
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
      <itemPath>../../../bootloader/embedded/tb-bootloader.X/linker/hid_boot_p24FJ64GB002.gld</itemPath>
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
      <itemPath>main.c</itemPath>
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="false">
      <itemPath>Makefile</itemPath>
    </logicalFolder>
  </logicalFolder>
  <sourceRootList>
    <Elem>../../../tblib/embedded/tblib.X</Elem>
    <Elem>../../../bootloader/embedded/tb-bootloader.X/linker</Elem>
  </sourceRootList>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="default" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>PIC24FJ64GB002</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>ICD3PlatformTool</platformTool>
        <languageToolchain>XC16</languageToolchain>
        <languageToolchainVersion>1.21</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <compileType>
        <linkerTool>
          <linkerLibItems>
            <linkerLibFileItem>../../../tblib/embedded/tblib.X/dist/default/production/tblib.X.a</linkerLibFileItem>
          </linkerLibItems>
        </linkerTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <C30>
        <property key="code-model" value="default"/>
        <property key="const-model" value="default"/>
        <property key="data-model" value="default"/>
        <property key="enable-all-warnings" value="true"/>
        <property key="enable-ansi-std" value="false"/>
        <property key="enable-ansi-warnings" value="false"/>
        <property key="enable-fatal-warnings" value="false"/>
        <property key="enable-large-arrays" value="false"/>
        <property key="enable-omit-frame-pointer" value="false"/>
        <property key="enable-procedural-abstraction" value="false"/>
        <property key="enable-short-double" value="false"/>
        <property key="enable-symbols" value="true"/>
        <property key="enable-unroll-loops" value="false"/>
        <property key="extra-include-directories"
                  value="..\..\..\tblib\embedded\tblib.X"/>
        <property key="isolate-each-function" value="false"/>
        <property key="keep-inline" value="false"/>
        <property key="oXC16gcc-align-arr" value="false"/>
        <property key="oXC16gcc-cnsts-mauxflash" value="false"/>
        <property key="oXC16gcc-data-sects" value="false"/>
        <property key="oXC16gcc-errata" value=""/>
        <property key="oXC16gcc-fillupper" value=""/>
        <property key="oXC16gcc-large-aggregate" value="false"/>
        <property key="oXC16gcc-mauxflash" value="false"/>
        <property key="oXC16gcc-mpa-lvl" value=""/>
        <property key="oXC16gcc-name-text-sec" value=""/>
        <property key="oXC16gcc-near-chars" value="false"/>
        <property key="oXC16gcc-no-isr-warn" value="false"/>
        <property key="oXC16gcc-sfr-warn" value="false"/>
        <property key="oXC16gcc-smar-io-lvl" value="1"/>
        <property key="oXC16gcc-smart-io-fmt" value=""/>
        <property key="optimization-level" value="0"/>
        <property key="post-instruction-scheduling" value="default"/>
        <property key="pre-instruction-scheduling" value="default"/>
        <property key="preprocessor-macros" value=""/>
        <property key="scalar-model" value="default"/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
      </C30>
      <C30-AR>
        <property key="additional-options-chop-files" value="false"/>
      </C30-AR>
      <C30-AS>
      </C30-AS>
      <C30-LD>
        <property key="additional-options-use-response-files" value="false"/>
        <property key="boot-eeprom" value="no_eeprom"/>
        <property key="boot-flash" value="no_flash"/>
        <property key="boot-ram" value="no_ram"/>
        <property key="boot-write-protect" value="no_write_protect"/>
        <property key="enable-check-sections" value="false"/>
        <property key="enable-data-init" value="true"/>
        <property key="enable-default-isr" value="true"/>
        <property key="enable-handles" value="true"/>
        <property key="enable-pack-data" value="true"/>
        <property key="extra-lib-directories" value=""/>
        <property key="fill-flash-options-addr" value=""/>
        <property key="fill-flash-options-const" value=""/>
        <property key="fill-flash-options-how" value="0"/>
        <property key="fill-flash-options-inc-const" value="1"/>
        <property key="fill-flash-options-increment" value=""/>
        <property key="fill-flash-options-seq" value=""/>
        <property key="fill-flash-options-what" value="0"/>
        <property key="general-code-protect" value="no_code_protect"/>
        <property key="general-write-protect" value="no_write_protect"/>
        <property key="generate-cross-reference-file" value="false"/>
        <property key="heap-size" value=""/>
        <property key="input-libraries" value=""/>
        <property key="linker-stack" value="true"/>
        <property key="linker-symbols" value=""/>
        <property key="map-file" value="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"/>
        <property key="oXC16ld-extra-opts" value=""/>
        <property key="oXC16ld-fill-upper" value="0"/>
        <property key="oXC16ld-force-link" value="false"/>
        <property key="oXC16ld-no-smart-io" value="false"/>
        <property key="oXC16ld-nostdlib" value="false"/>
        <property key="oXC16ld-stackguard" value="16"/>
        <property key="preprocessor-macros" value=""/>
        <property key="remove-unused-sections" value="false"/>
        <property key="report-memory-usage" value="true"/>
        <property key="secure-eeprom" value="no_eeprom"/>
        <property key="secure-flash" value="no_flash"/>
        <property key="secure-ram" value="no_ram"/>
        <property key="secure-write-protect" value="no_write_protect"/>
        <property key="stack-size" value="16"/>
        <property key="symbol-stripping" value=""/>
        <property key="trace-symbols" value=""/>
        <property key="warn-section-align" value="false"/>
      </C30-LD>
      <C30Global>
        <property key="fast-math" value="false"/>
        <property key="generic-16-bit" value="false"/>
        <property key="legacy-libc" value="false"/>
        <property key="oXC16glb-macros" value=""/>
        <property key="output-file-format" value="elf"/>
        <property key="relaxed-math" value="false"/>
        <property key="save-temps" value="false"/>
      </C30Global>
      <ICD3PlatformTool>
        <property key="ADC 1" value="true"/>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="COMPARATOR" value="true"/>
        <property key="CRC" value="true"/>
        <property key="CTMU" value="true"/>
        <property key="Freeze All Other Peripherals" value="true"/>
        <property key="I2C1" value="true"/>
        <property key="I2C2" value="true"/>
        <property key="INPUT CAPTURE 1" value="true"/>
        <property key="INPUT CAPTURE 2" value="true"/>
        <property key="INPUT CAPTURE 3" value="true"/>
        <property key="INPUT CAPTURE 4" value="true"/>
        <property key="INPUT CAPTURE 5" value="true"/>
        <property key="OUTPUT COMPARE 1" value="true"/>
        <property key="OUTPUT COMPARE 2" value="true"/>
        <property key="OUTPUT COMPARE 3" value="true"/>
        <property key="OUTPUT COMPARE 4" value="true"/>
        <property key="OUTPUT COMPARE 5" value="true"/>
        <property key="PARALLEL MASTER/SLAVE PORT" value="true"/>
        <property key="REFERENCE CLOCK" value="true"/>
        <property key="SPI 1" value="true"/>
        <property key="SPI 2" value="true"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="TIMER1" value="true"/>
        <property key="TIMER2" value="true"/>
        <property key="TIMER3" value="true"/>
        <property key="TIMER4" value="true"/>
        <property key="TIMER5" value="true"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>
        <property key="UART 1" value="true"/>
        <property key="UART 2" value="true"/>
        <property key="USB" value="true"/>
        <property key="debugoptions.useswbreakpoints" value="false"/>
        <property key="hwtoolclock.frcindebug" value="false"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="false"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.end" value="0xabf7"/>
        <property key="memories.programmemory.start" value="0x0"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveprogramrange.end" value="0xabf7"/>
        <property key="programoptions.preserveprogramrange.start" value="0x0"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VPPFirst"/>
        <property key="programoptions.usehighvoltageonmclr" value="false"/>
        <property key="programoptions.uselvpprogramming" value="false"/>
        <property key="voltagevalue" value="3.25"/>
      </ICD3PlatformTool>
    </conf>
  </confs>
</configurationDescriptor>
